Mandatory Software Upgrade: Download ZEN 2.0.22 Now!

0
9
views

All exchanges, mining pools, node operators, and full node wallet users must upgrade to ZEN 2.0.22 prior to block #831936, which will occur around the 17th of November.


 

ZEN 2.0.22 replaces the current version, ZEN 2.0.21-1, which is set to deprecate (no longer run). The focus of this version is security hardening, reward halving preparation, and general maintenance.

 

As part of our commitment to security, Horizen commissioned a third-party code audit with a company called Coinspect. Coinspect identified 1 high, 4 medium, and 2 low-risk vulnerabilities. All issues are resolved with ZEN 2.0.22. The Coinspect report will be available at a later date.

 

Please update your ZEN software before the 17th of November. The new 2.0.22 version is available now at https://github.com/HorizenOfficial/zen/releases/ or through the APT repository.

 

UPDATES IN ZEN 2.0.22

  • Hard Fork at mainnet block 835968/testnet block 735700 with minor changes to OP_CBAH handling
  • Extend OP_CBAH unit tests
  • Security hardening of TLS P2P code, only allow PFS ciphers, limit TLS versions to 1.2/1.3
  • Extend TLS unit tests
  • Extend the ‘getblock’ RPC command with additional verbosity level, adding transaction information in the format of the getrawtransaction RPC call
  • Add fetch-params.ps1 powershell script for Windows trusted setup DL and verification
  • Fix for gcc10 compatibility
  • Updates of dependencies OpenSSL, Univalue, libsodium
  • Rename GH organization to HorizenOfficial

 

What happens if you do not upgrade before the 17th of November?

  • Exchanges and Partners: you will not be able to access your funds until you upgrade to the latest version
  • Pool operators: ZEND will not work and thus you will not be able to mine ZEN until you upgrade to ZEN 2.0.22
  • Node operators: ZEND will not work and thus you will not be eligible to earn ZEN until you upgrade to ZEN 2.0.22
  • Full node wallet users (Swing wallet, Sphere by Horizen): you will not be able to access your funds until you upgrade to the latest wallet version

Please let us know if you have any questions. Thank you for your continued support! As always, be sure to follow us on Twitter, Facebook, and Discord for the latest project updates. 

The post Mandatory Software Upgrade: Download ZEN 2.0.22 Now! appeared first on Horizen.

Disclaimer: The Information on this website is provided for education and informational purposes only, without any express or implied warranty of any kind. Anyone wishing to invest should seek his or her own independent financial or professional advice